# Pipeline Containers

This repo contains Dockerfiles for all pipeline images that are needed for the CI/CD Pipeline.

Currently, the following images are available:

| Name | Description | Image |
|------|-------------|-------|
| go | Go image with all necessary tools for building Go projects | `forgejo.edf-bootstrap.cx.fg1.ffm.osc.live/devfw-cicd/pipeline-container/go:1.23` |
| golang-ci-lint | Go image with all necessary tools for linting Go projects | `forgejo.edf-bootstrap.cx.fg1.ffm.osc.live/devfw-cicd/pipeline-container/golang-ci-lint:v1.62` |
| kaniko | Image for building docker containers inside of a container | `forgejo.edf-bootstrap.cx.fg1.ffm.osc.live/devfw-cicd/pipeline-container/kaniko:v1.23.2-2` |
| trivy | Image for performing trivy scans | `forgejo.edf-bootstrap.cx.fg1.ffm.osc.live/devfw-cicd/pipeline-container/trivy:0.56.2` |
